The tag has no wiki summary.

learn more… | top users | synonyms

4
votes
2answers
2k views

Problem installing ruby and gems

I just installed ruby using apt-get with the following command: sudo apt-get install ruby1.9.1-full But when I try to do sudo gem install ... it says that I have not installed gems and that I shoud ...
0
votes
1answer
5k views

How do I install Capistrano?

I'm struggling here with no success in order to install capistrano on my Ubuntu dev machine. Here is the list of commands issued: 1) sudo apt-get update 2) sudo apt-get install build-essential ...
4
votes
1answer
4k views

Can't get “gem” command to work - Why?

Ubuntu 10.10 here. On the command line, I'm trying to do: gem install railsless-deploy I get this message: The program 'gem' can be found in the following packages: * rubygems1.8 * ...
2
votes
1answer
436 views

Rails version not shown post installation

I had installed rubygems 1.8 and further on I had installed the rails 2.0.2 gem. When I tried to view the rails version installed through the command rails -v It didn't work.. I am unable to figure ...
4
votes
3answers
550 views

When to use packages in aptitude versus CPAN/Gems/PyPI?

What's the general rule for when to install a package from the official .deb repositories, versus when to install with the language's package manager? The ones in the upstream repositories are ...